@echo off

set __MODEL=%1
if x%__MODEL% == x set __MODEL=%MODEL%
if x%__MODEL% == x set __MODEL=s

set __LNG=%2
if x%__LNG% == x set __LNG=%LNG%
if x%__LNG% == x set __LNG=english

set FDINC=%FREEDOS%\SRC\INCLUDE
set FDBIN=%FREEDOS%\SRC\BIN
set SUPPL=%FDINC%\..\lib\bc5\suppl_%__MODEL%.lib
set MSGLIB=%FDINC%\..\lib\bc5\%__MODEL%_%__LNG%.lib

rm -sfr *.obj msg.lib yerror.h__ comp.rsp lib.rsp
: %FDBIN%\MsgComp %FDINC%\%__LNG% %__LNG% comp.rsp lib.rsp yerror.h
%FDBIN%\MsgComp2 /c=c.r /l=l.r %FDINC% %__LNG% yerror.h msgdecl.inc msgfeat.inc
if errorlevel 1 goto ende
BCC.EXE +BccDos.Cfg -m%__MODEL% -DNDEBUG=1 -O2 -O -Z -RT- -c @c.r
if errorlevel 1 goto ende

rm -sf msg.lib
lib.exe /scw msg @l.r, msg
if errorlevel 1 goto ende
rm /frsl=1 1c.r 1l.r c.r l.r Makefile.msg

echo msg.lib >bcc-lib.inc
echo %SUPPL% >>bcc-lib.inc
echo %MSGLIB% >>bcc-lib.inc
BCC.EXE +BccDos.Cfg -m%__MODEL% -DNDEBUG=1 -O2 -O -Ol -Z -Obeimpv -RT- -eLLIB @bc_compi.ccc @bcc-lib.inc
if errorlevel 1 goto ende
rm -sfr *.obj msg.lib yerror.h__ comp.rsp lib.rsp bcc-lib.inc
goto ende

:ende
set __MODEL=
set __LNG=
set SUPPL=
set MSGLIB=
set FDINC=
set FDBIN=
